Skip to content

getAccountLedgerSummary

READ

Get account ledger summary.

POST /api/v1/accounting/getAccountLedgerSummary
curl -X POST '<your-host>/api/v1/accounting/getAccountLedgerSummary' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "accountId": "string",
    "startDate": "string",
    "endDate": "string"
  }'
Response
{
  "opening": 0,
  "netChange": 0,
  "closing": 0
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "accountId": {
      "type": "string"
    },
    "startDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "endDate": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "accountId",
    "startDate",
    "endDate"
  ]
}